包含标签 冲突 的文章

Flutter 依赖冲突解决

有时候 flutter 更新 sdk 版本后不知道该不该更新 有时候 pub 库更新后和自己的其他类库发生了冲突

image.png 类似于图上的情况

遇到这样的问题应该怎么解决呢

我们一步步解决

首先,这种依赖一般是 pub 中引用的,先查看下原作者有没有最新版,也许就解决了呢

无奈我们用到的类库是一个 5 个月没有更新过的类库,看来是指望不上了 没关系, …

阅读全文

android 依赖冲突

起因

在引入新的依赖后,有时你会报一些冲突的错误,尤其是 v4 v7 库的使用

有的时候能”自动”纠正,但是大部分时候不行

比如 A 库引用了 v7 26.x.x 的库, B 库使用了 v7 27.x.x 作为依赖

解决方案

gradle 打包的过程中,首先会加载所有 gradle 脚本到库内

然后才是运行的过程, 所以我 …

阅读全文

最近文章

分类

标签

友情链接

其它